(*
   Copyright 2007-2012 by Mark Weyer
   Licensed under the OINM licence version 0
*)

module Hash : Value_types.Type
module Hash_cache : Debugable_types.Type

val init_cache : unit -> Hash_cache.t
val get_hash : Hash_cache.t -> Rule.Target.t -> Hash.t
val uncache : Rule.Target.t -> Hash_cache.t -> unit
  (* To tell the cache that the target's hash might have changed.
     For example if the target has been rebuilt. *)

