(*
   Copyright 2007-2012 by Mark Weyer
   Licensed under the OINM licence version 0
*)

;;

let call,options,lexers,parsers,job = Commandline.parse_args ()  in
match Job.mode job with
| Mode.By_type Fileinfo.CMI | Mode.By_type Fileinfo.CMO
| Mode.By_type Fileinfo.CMX | Mode.By_type Fileinfo.CMA
| Mode.By_type Fileinfo.CMXA | Mode.Prog | Mode.Prog_inner
| Mode.CMA_inner | Mode.CMXA_inner | Mode.Lex | Mode.Yacc ->
  Gen_rules.out_rules (Gen_rules.gen_rules call options lexers parsers job)
| Mode.By_type Fileinfo.MLDEPS -> Merge.do_merge_job job

