(*
   Copyright 2007-2012 by Mark Weyer
   Licensed under the OINM licence version 0
*)

{

open Oinmfile_lineparser

}

rule targets = parse
    [' ' '\t']+
      { targets lexbuf }
  | ([^'\\'' ''\t'] | ('\\'_))+
      { Target
          (Escape.unescape_lexeme Oinmfile_escape.target_spec lexbuf) }
  | eof { EOF }

