/*
   Copyright 2007-2012 by Mark Weyer
   Licensed under the OINM licence version 0
*/

%start makefile

%type <string list> filenames
%type <string * string list> rule
%type <(string * string list) list> makefile

%token EOF Return Colon
%token <string> Filename

%%

makefile: emptylines EOF
          { [] }
        | emptylines rule makefile
          { $2::$3 }
        ;

rule: Filename Colon filenames Return
      { ($1,$3) }
    ;

filenames:
           { [] }
         | Filename filenames
           { $1::$2 }
         ;

emptylines:
            { () }
          | Return emptylines
            { () }
          ;

%%

