(*
   Copyright 2007-2012 by Mark Weyer
   Licensed under the OINM licence version 0
*)

type mode =
| By_type of Fileinfo.filetype
| Prog
| Prog_inner
| CMA_inner
| CMXA_inner
| Lex
| Yacc

val needs_depsfile : mode -> bool

val mode_to_option : mode -> string
val option_to_mode : string -> mode option

