(*
   Copyright 2007-2012 by Mark Weyer
   Licensed under the OINM licence version 0
*)

type options = {
  ocamlc : string;
  ocamlopt : string;
  ocamldep : string;
  used_libs : string;
}

val empty : options

val forward : options -> string
  (* The string is a set of commandline arguments which, when passed to
     further invocations of oinm4ml, cause the commandline parsing to
     reproduce the given options. *)

